@echo off
echo running in %~dp0

set DOTNET_ENVIRONMENT=Development



cd %~dp0\e-suite.Database.Migrator\bin\Debug\net6.0
e-suite.Database.Migrator.exe

if %ERRORLEVEL% == 0 goto startapi

echo ERROR MIGRATING DATABASE, PLEASE FIX THIS NOW
pause
goto end

:startapi
echo starting api

cd %~dp0\eSuite.API\bin\Debug\net6.0
start eSuite.API.exe

start "" https://localhost:7066/swagger/index.html

goto end

:end